(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     63707,       1514]
NotebookOptionsPosition[     62102,       1458]
NotebookOutlinePosition[     62499,       1475]
CellTagsIndexPosition[     62456,       1472]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["\[CapitalAAcute]rbol con TreeGraph", "Text",
 CellChangeTimes->{{3.5383068285743217`*^9, 3.538306839139926*^9}, {
  3.540038094961193*^9, 3.5400381301642065`*^9}, {3.54003873357272*^9, 
  3.5400387471694975`*^9}, {3.540039420715022*^9, 3.540039446223481*^9}, {
  3.540039550859466*^9, 3.540039580213145*^9}, {3.540039944503981*^9, 
  3.5400399593238287`*^9}, {3.5400407258286705`*^9, 3.5400407295958858`*^9}, {
  3.5400420230448666`*^9, 3.540042025561011*^9}, {3.54123463308519*^9, 
  3.5412346464979563`*^9}, {3.5424551226061697`*^9, 3.5424551301326003`*^9}, {
  3.5444362139384727`*^9, 3.5444362276342564`*^9}, {3.544437907774355*^9, 
  3.5444379091364326`*^9}, {3.5444405335025377`*^9, 3.544440553750696*^9}, {
  3.544453396322249*^9, 3.5444534035666637`*^9}, {3.544453463518092*^9, 
  3.5444535154780645`*^9}, {3.544453740502935*^9, 3.5444537579219313`*^9}},
 FontFamily->"Times New Roman",
 FontWeight->"Bold",
 Background->RGBColor[1, 0.5, 0]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"TreeGraph", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"a", "\[UndirectedEdge]", "b"}], ",", 
     RowBox[{"a", "\[UndirectedEdge]", "c"}], ",", 
     RowBox[{"b", "\[UndirectedEdge]", "1"}], ",", 
     RowBox[{"b", "\[UndirectedEdge]", "2"}], ",", 
     RowBox[{"c", "\[UndirectedEdge]", "3"}], ",", 
     RowBox[{"c", "\[UndirectedEdge]", "4"}], ",", 
     RowBox[{"c", "\[UndirectedEdge]", "5"}]}], "}"}], ",", 
   RowBox[{"VertexLabels", "\[Rule]", "\"\<Name\>\""}], ",", 
   RowBox[{"ImagePadding", "\[Rule]", "10"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.544453903918282*^9, 3.544453962994661*^9}, {
  3.5444540880598145`*^9, 3.5444540959212637`*^9}, {3.544455601855398*^9, 
  3.544455615373172*^9}, {3.5691566071087785`*^9, 3.5691566077498856`*^9}}],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{$CellContext`a, $CellContext`b, $CellContext`c, 1, 2, 3, 4, 5}, {
      Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {3, 8}}}, {
      ImagePadding -> 10, VertexLabels -> {"Name"}}]], Typeset`boxes, 
    Typeset`boxes$s2d = GraphicsGroupBox[{{
       Directive[
        Hue[0.6, 0.2, 0.8], 
        EdgeForm[
         Directive[
          GrayLevel[0], 
          Opacity[0.7]]]], 
       TagBox[{
         TagBox[
          
          DiskBox[{1.3030808885023974`, 1.4892353011455972`}, 
           0.030084928187285254`], "DynamicName", BoxID -> "VertexID$1"], 
         InsetBox[
          FormBox["a", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$1", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$1"], 
       TagBox[{
         TagBox[
          
          DiskBox[{0.3723088252863993, 0.7446176505727986}, 
           0.030084928187285254`], "DynamicName", BoxID -> "VertexID$2"], 
         InsetBox[
          FormBox["b", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$2", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$2"], 
       TagBox[{
         TagBox[
          
          DiskBox[{2.233852951718396, 0.7446176505727986}, 
           0.030084928187285254`], "DynamicName", BoxID -> "VertexID$3"], 
         InsetBox[
          FormBox["c", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$3", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$3"], 
       TagBox[{
         TagBox[
          DiskBox[{0., 0.}, 0.030084928187285254`], "DynamicName", BoxID -> 
          "VertexID$4"], 
         InsetBox[
          FormBox["1", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$4", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$4"], 
       TagBox[{
         TagBox[
          DiskBox[{0.7446176505727986, 0.}, 0.030084928187285254`], 
          "DynamicName", BoxID -> "VertexID$5"], 
         InsetBox[
          FormBox["2", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$5", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$5"], 
       TagBox[{
         TagBox[
          DiskBox[{1.4892353011455972`, 0.}, 0.030084928187285254`], 
          "DynamicName", BoxID -> "VertexID$6"], 
         InsetBox[
          FormBox["3", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$6", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$6"], 
       TagBox[{
         TagBox[
          DiskBox[{2.233852951718396, 0.}, 0.030084928187285254`], 
          "DynamicName", BoxID -> "VertexID$7"], 
         InsetBox[
          FormBox["4", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$7", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$7"], 
       TagBox[{
         TagBox[
          DiskBox[{2.9784706022911944`, 0.}, 0.030084928187285254`], 
          "DynamicName", BoxID -> "VertexID$8"], 
         InsetBox[
          FormBox["5", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$8", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$8"]}, {
       Directive[
        Opacity[0.7], 
        Hue[0.6, 0.7, 0.5]], 
       LineBox[{{
          DynamicLocation["VertexID$1", Automatic, Center], 
          DynamicLocation["VertexID$2", Automatic, Center]}, {
          DynamicLocation["VertexID$1", Automatic, Center], 
          DynamicLocation["VertexID$3", Automatic, Center]}, {
          DynamicLocation["VertexID$2", Automatic, Center], 
          DynamicLocation["VertexID$4", Automatic, Center]}, {
          DynamicLocation["VertexID$2", Automatic, Center], 
          DynamicLocation["VertexID$5", Automatic, Center]}, {
          DynamicLocation["VertexID$3", Automatic, Center], 
          DynamicLocation["VertexID$6", Automatic, Center]}, {
          DynamicLocation["VertexID$3", Automatic, Center], 
          DynamicLocation["VertexID$7", Automatic, Center]}, {
          DynamicLocation["VertexID$3", Automatic, Center], 
          DynamicLocation["VertexID$8", Automatic, Center]}}]}}], 
    Typeset`data}, 
    TagBox[
     DynamicBox[GraphComputation`NetworkGraphicsBox[
      2, Typeset`graph, Typeset`boxes], {
      CachedValue :> Typeset`boxes, SingleEvaluation -> True, 
       SynchronousUpdating -> False, TrackedSymbols :> {}},
      ImageSizeCache->{{48.400000000000006`, 
       1051.1746579105402`}, {-313.9906579105408, 228.87884941759933`}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False,
    UnsavedVariables:>{Typeset`data}]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{
  3.5444539637087016`*^9, 3.544454089527898*^9, {3.544455608803796*^9, 
   3.5444556159952073`*^9}}]
}, Open  ]],

Cell["\[CapitalAAcute]rbol con TreePlot", "Text",
 CellChangeTimes->{{3.5383068285743217`*^9, 3.538306839139926*^9}, {
  3.540038094961193*^9, 3.5400381301642065`*^9}, {3.54003873357272*^9, 
  3.5400387471694975`*^9}, {3.540039420715022*^9, 3.540039446223481*^9}, {
  3.540039550859466*^9, 3.540039580213145*^9}, {3.540039944503981*^9, 
  3.5400399593238287`*^9}, {3.5400407258286705`*^9, 3.5400407295958858`*^9}, {
  3.5400420230448666`*^9, 3.540042025561011*^9}, {3.54123463308519*^9, 
  3.5412346464979563`*^9}, {3.5424551226061697`*^9, 3.5424551301326003`*^9}, {
  3.5444362139384727`*^9, 3.5444362276342564`*^9}, {3.544437907774355*^9, 
  3.5444379091364326`*^9}, {3.5444405335025377`*^9, 3.544440553750696*^9}, {
  3.544453396322249*^9, 3.5444534035666637`*^9}, {3.544453463518092*^9, 
  3.5444535154780645`*^9}, {3.544453740502935*^9, 3.544453772185747*^9}},
 FontFamily->"Times New Roman",
 FontWeight->"Bold",
 Background->RGBColor[1, 0.5, 0]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"TreePlot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"a", "\[Rule]", "b"}], ",", 
     RowBox[{"a", "\[Rule]", "c"}], ",", 
     RowBox[{"b", "\[Rule]", "1"}], ",", 
     RowBox[{"b", "\[Rule]", "2"}], ",", 
     RowBox[{"c", "\[Rule]", "3"}], ",", 
     RowBox[{"c", "\[Rule]", "4"}], ",", 
     RowBox[{"c", "\[Rule]", "5"}]}], "}"}], ",", "Left", ",", 
   RowBox[{"VertexLabeling", "\[Rule]", "True"}], ",", 
   RowBox[{"ImagePadding", "\[Rule]", "10"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.544453830144062*^9, 3.5444538852242126`*^9}, {
  3.5444540310225515`*^9, 3.5444540691507325`*^9}, {3.544455211755086*^9, 
  3.544455212574133*^9}, {3.5444556192513933`*^9, 3.5444556563415146`*^9}}],

Cell[BoxData[
 GraphicsBox[
  TagBox[GraphicsComplexBox[{{0., 1.3030808885023963`}, {0.7446176505727998, 
    0.37230882528639864`}, {0.7446176505727978, 2.2338529517183954`}, {
    1.489235301145599, 0.}, {1.489235301145598, 0.7446176505727989}, {
    1.4892353011455974`, 1.4892353011455977`}, {1.4892353011455968`, 
    2.2338529517183963`}, {1.4892353011455959`, 2.978470602291195}}, {
     {RGBColor[0.5, 0., 0.], 
      LineBox[{{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {3, 8}}]}, {
      InsetBox[
       FrameBox["a",
        Background->RGBColor[1, 1, 0.8],
        FrameStyle->RGBColor[0.94, 0.85, 0.36],
        StripOnInput->False], 1], InsetBox[
       FrameBox["b",
        Background->RGBColor[1, 1, 0.8],
        FrameStyle->RGBColor[0.94, 0.85, 0.36],
        StripOnInput->False], 2], InsetBox[
       FrameBox["c",
        Background->RGBColor[1, 1, 0.8],
        FrameStyle->RGBColor[0.94, 0.85, 0.36],
        StripOnInput->False], 3], InsetBox[
       FrameBox["1",
        Background->RGBColor[1, 1, 0.8],
        FrameStyle->RGBColor[0.94, 0.85, 0.36],
        StripOnInput->False], 4], InsetBox[
       FrameBox["2",
        Background->RGBColor[1, 1, 0.8],
        FrameStyle->RGBColor[0.94, 0.85, 0.36],
        StripOnInput->False], 5], InsetBox[
       FrameBox["3",
        Background->RGBColor[1, 1, 0.8],
        FrameStyle->RGBColor[0.94, 0.85, 0.36],
        StripOnInput->False], 6], InsetBox[
       FrameBox["4",
        Background->RGBColor[1, 1, 0.8],
        FrameStyle->RGBColor[0.94, 0.85, 0.36],
        StripOnInput->False], 7], InsetBox[
       FrameBox["5",
        Background->RGBColor[1, 1, 0.8],
        FrameStyle->RGBColor[0.94, 0.85, 0.36],
        StripOnInput->False], 8]}}],
   Annotation[#, 
    VertexCoordinateRules -> {{0., 1.3030808885023963`}, {0.7446176505727998, 
     0.37230882528639864`}, {0.7446176505727978, 2.2338529517183954`}, {
     1.489235301145599, 0.}, {1.489235301145598, 0.7446176505727989}, {
     1.4892353011455974`, 1.4892353011455977`}, {1.4892353011455968`, 
     2.2338529517183963`}, {1.4892353011455959`, 2.978470602291195}}]& ],
  AspectRatio->1.4142135623730943`,
  FrameTicks->None,
  ImagePadding->10,
  PlotRange->All,
  PlotRangePadding->Scaled[0.1]]], "Output",
 CellChangeTimes->{{3.5444538466550064`*^9, 3.5444538508242455`*^9}, 
   3.544453885896251*^9, 3.5444540699137764`*^9, 3.5444552146262503`*^9, 
   3.544455620312454*^9, 3.5444569696876335`*^9}]
}, Open  ]],

Cell["\<\
\[CapitalAAcute]rbol con una ra\[IAcute]z seleccionada por el usuario\
\>", "Text",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmViYGAQBmIQfSNh0sMTMa8c3aqePALREofuWYolvHLUc3S1A9E7
gzd1gui2nNRuEF32cNp9EH1I7fgjEL2/4fZ7EC16qe0ziJ6rIKAoDqTPxbxS
AtEVLbuaQHS9oHEziO7Jf6giAaTPfjZUBdEPdipVxiW9cnR6f74KRO9LDc7a
lPLK0dnOJRtE/2Dft68y45XjFe+SAyC65XjFpCogvSJ2CZg+JbLhVjWQ3sJq
cRdE3/XvUmoC0jJKRcog2mzKBy0Q7eeTbwiiuSUm+ILoJR9bA0H0PbFZ/c1A
WiKBeQKIduCpOvYp85Wjju6c4yCaS7x5xRcg7ZM/AUwDAOjGlpE=
  "],
 FontFamily->"Times New Roman",
 FontWeight->"Bold",
 Background->RGBColor[1, 0.5, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"T", "=", 
   RowBox[{"TreeGraph", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "2", ",", 
       RowBox[{"Property", "[", 
        RowBox[{"3", ",", 
         RowBox[{"\"\<root\>\"", "\[Rule]", "True"}]}], "]"}], ",", "4", ",", 
       "5", ",", "6", ",", "7", ",", "8"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"1", "\[UndirectedEdge]", "2"}], ",", 
       RowBox[{"1", "\[UndirectedEdge]", "3"}], ",", 
       RowBox[{"2", "\[UndirectedEdge]", "4"}], ",", 
       RowBox[{"2", "\[UndirectedEdge]", "5"}], ",", 
       RowBox[{"3", "\[UndirectedEdge]", "6"}], ",", 
       RowBox[{"3", "\[UndirectedEdge]", "7"}], ",", 
       RowBox[{"3", "\[UndirectedEdge]", "8"}]}], "}"}], ",", 
     RowBox[{"VertexLabels", "\[Rule]", "\"\<Name\>\""}], ",", 
     RowBox[{"ImagePadding", "\[Rule]", "10"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"root", "=", 
   RowBox[{"First", "@", 
    RowBox[{"Select", "[", 
     RowBox[{
      RowBox[{"VertexList", "[", "T", "]"}], ",", 
      RowBox[{
       RowBox[{"PropertyValue", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"T", ",", "#"}], "}"}], ",", "\"\<root\>\""}], "]"}], 
       "&"}]}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"TreePlot", "[", 
  RowBox[{"T", ",", "Automatic", ",", "root", ",", 
   RowBox[{"VertexLabeling", "\[Rule]", "True"}], ",", 
   RowBox[{"ImagePadding", "\[Rule]", "10"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.545208401975721*^9, 3.5452084055729265`*^9}, {
  3.54520844042492*^9, 3.545208625729519*^9}, {3.5452089895603285`*^9, 
  3.5452089974587803`*^9}, {3.545209100544677*^9, 3.545209104113881*^9}, {
  3.545209166724462*^9, 3.545209184803496*^9}, {3.54520933366401*^9, 
  3.5452094593251977`*^9}, {3.545209722007222*^9, 3.5452097341959195`*^9}, {
  3.5452102697065487`*^9, 3.5452102727027206`*^9}}],

Cell[BoxData[
 GraphicsBox[
  TagBox[GraphicsComplexBox[{{0.37416573867739417`, 1.4966629547095764`}, {
    0.37416573867739417`, 0.7483314773547882}, {1.4966629547095767`, 
    2.244994432064365}, {0., 0.}, {0.7483314773547883, 0.}, {
    1.1224972160321824`, 1.4966629547095764`}, {1.8708286933869707`, 
    1.4966629547095764`}, {2.619160170741759, 1.4966629547095764`}}, {
     {RGBColor[0.5, 0., 0.], 
      LineBox[{{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {3, 8}}]}, {
      InsetBox[
       FrameBox["1",
        Background->RGBColor[1, 1, 0.8],
        FrameStyle->RGBColor[0.94, 0.85, 0.36],
        StripOnInput->False], 1], InsetBox[
       FrameBox["2",
        Background->RGBColor[1, 1, 0.8],
        FrameStyle->RGBColor[0.94, 0.85, 0.36],
        StripOnInput->False], 2], InsetBox[
       FrameBox["3",
        Background->RGBColor[1, 1, 0.8],
        FrameStyle->RGBColor[0.94, 0.85, 0.36],
        StripOnInput->False], 3], InsetBox[
       FrameBox["4",
        Background->RGBColor[1, 1, 0.8],
        FrameStyle->RGBColor[0.94, 0.85, 0.36],
        StripOnInput->False], 4], InsetBox[
       FrameBox["5",
        Background->RGBColor[1, 1, 0.8],
        FrameStyle->RGBColor[0.94, 0.85, 0.36],
        StripOnInput->False], 5], InsetBox[
       FrameBox["6",
        Background->RGBColor[1, 1, 0.8],
        FrameStyle->RGBColor[0.94, 0.85, 0.36],
        StripOnInput->False], 6], InsetBox[
       FrameBox["7",
        Background->RGBColor[1, 1, 0.8],
        FrameStyle->RGBColor[0.94, 0.85, 0.36],
        StripOnInput->False], 7], InsetBox[
       FrameBox["8",
        Background->RGBColor[1, 1, 0.8],
        FrameStyle->RGBColor[0.94, 0.85, 0.36],
        StripOnInput->False], 8]}}],
   Annotation[#, 
    VertexCoordinateRules -> {{0.37416573867739417`, 1.4966629547095764`}, {
     0.37416573867739417`, 0.7483314773547882}, {1.4966629547095767`, 
     2.244994432064365}, {0., 0.}, {0.7483314773547883, 0.}, {
     1.1224972160321824`, 1.4966629547095764`}, {1.8708286933869707`, 
     1.4966629547095764`}, {2.619160170741759, 1.4966629547095764`}}]& ],
  AspectRatio->0.9258200997725515,
  FrameTicks->None,
  ImagePadding->10,
  PlotRange->All,
  PlotRangePadding->Scaled[0.1]]], "Output",
 CellChangeTimes->{
  3.5452091093611813`*^9, 3.545209199577341*^9, {3.5452093943444815`*^9, 
   3.5452094611543026`*^9}, {3.545209729672661*^9, 3.545209735132973*^9}, {
   3.545210270387588*^9, 3.54521027357777*^9}}]
}, Open  ]],

Cell["\[CapitalAAcute]rbol seudoaleatorio", "Text",
 CellChangeTimes->{{3.5383068285743217`*^9, 3.538306839139926*^9}, {
  3.540038094961193*^9, 3.5400381301642065`*^9}, {3.54003873357272*^9, 
  3.5400387471694975`*^9}, {3.540039420715022*^9, 3.540039446223481*^9}, {
  3.540039550859466*^9, 3.540039580213145*^9}, {3.540039944503981*^9, 
  3.5400399593238287`*^9}, {3.5400407258286705`*^9, 3.5400407295958858`*^9}, {
  3.5400420230448666`*^9, 3.540042025561011*^9}, {3.54123463308519*^9, 
  3.5412346464979563`*^9}, {3.5424551226061697`*^9, 3.5424551301326003`*^9}, {
  3.5444362139384727`*^9, 3.5444362276342564`*^9}, {3.544437907774355*^9, 
  3.5444379091364326`*^9}, {3.5444405335025377`*^9, 3.544440553750696*^9}, {
  3.544453396322249*^9, 3.5444534035666637`*^9}, {3.544453463518092*^9, 
  3.5444535154780645`*^9}, {3.544453740502935*^9, 3.544453772185747*^9}, {
  3.5444563168152914`*^9, 3.54445632010548*^9}},
 FontFamily->"Times New Roman",
 FontWeight->"Bold",
 Background->RGBColor[1, 0.5, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"<<", "Combinatorica`"}], "\[IndentingNewLine]", 
 RowBox[{"ShowGraph", "[", 
  RowBox[{
   RowBox[{"RandomTree", "[", "10", "]"}], ",", 
   RowBox[{"VertexNumber", "\[Rule]", "True"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "0.1"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Quit", "[", "]"}]}], "Input"],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "compat"}], "MessageName"], ":", 
  " ", "\<\"Combinatorica Graph and Permutations functionality has been \
superseded by preloaded functionality. The package now being loaded may \
conflict with this. Please see the Compatibility Guide for details.\"\>"}]], \
"Message", "MSG",
 CellChangeTimes->{{3.544456630057208*^9, 3.54445664407901*^9}}],

Cell[BoxData[
 GraphicsBox[{{
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0., 0.4725841184191525}, {0.23629205920957624`, 
      0.4725841184191525}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{1., 0.03165713322154651}, {0.7953650740119703, 
      0.14980316282633463`}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.4725841184191525, 0.4725841184191525}, {0.23629205920957624`,
       0.4725841184191525}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.5907301480239406, 0.6772190444071822}, {0.7953650740119703, 
      0.7953650740119703}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.5907301480239406, 0.03165713322154651}, {0.5907301480239406, 
      0.26794919243112275`}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.7953650740119703, 0.14980316282633463`}, {0.5907301480239406,
       0.26794919243112275`}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.4725841184191525, 0.4725841184191525}, {0.5907301480239406, 
      0.26794919243112275`}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.4725841184191525, 0.4725841184191525}, {0.5907301480239406, 
      0.6772190444071822}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.5907301480239406, 0.6772190444071822}, {0.5907301480239406, 
      0.9135111036167585}}], 
     {GrayLevel[0]}}}, {
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.4725841184191525, 0.4725841184191525}]}, 
     {GrayLevel[0], 
      InsetBox["1", 
       Scaled[{-0.02, -0.02}, {0.4725841184191525, 0.4725841184191525}], \
{1, 0}]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.5907301480239406, 0.6772190444071822}]}, 
     {GrayLevel[0], 
      InsetBox["2", 
       Scaled[{-0.02, -0.02}, {0.5907301480239406, 0.6772190444071822}], \
{1, 0}]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0., 0.4725841184191525}]}, 
     {GrayLevel[0], 
      InsetBox["3", 
       Scaled[{-0.02, -0.02}, {0., 0.4725841184191525}], {1, 0}]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{1., 0.03165713322154651}]}, 
     {GrayLevel[0], 
      InsetBox["4", 
       Scaled[{-0.02, -0.02}, {1., 0.03165713322154651}], {1, 0}]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.23629205920957624`, 0.4725841184191525}]}, 
     {GrayLevel[0], 
      InsetBox["5", 
       Scaled[{-0.02, -0.02}, {0.23629205920957624`, 0.4725841184191525}], \
{1, 0}]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.7953650740119703, 0.7953650740119703}]}, 
     {GrayLevel[0], 
      InsetBox["6", 
       Scaled[{-0.02, -0.02}, {0.7953650740119703, 0.7953650740119703}], \
{1, 0}]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.5907301480239406, 0.03165713322154651}]}, 
     {GrayLevel[0], 
      InsetBox["7", 
       Scaled[{-0.02, -0.02}, {0.5907301480239406, 0.03165713322154651}], \
{1, 0}]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.7953650740119703, 0.14980316282633463`}]}, 
     {GrayLevel[0], 
      InsetBox["8", 
       Scaled[{-0.02, -0.02}, {0.7953650740119703, 0.14980316282633463`}], \
{1, 0}]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.5907301480239406, 0.26794919243112275`}]}, 
     {GrayLevel[0], 
      InsetBox["9", 
       Scaled[{-0.02, -0.02}, {0.5907301480239406, 0.26794919243112275`}], \
{1, 0}]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.5907301480239406, 0.9135111036167585}]}, 
     {GrayLevel[0], 
      InsetBox["10", 
       Scaled[{-0.02, -0.02}, {0.5907301480239406, 0.9135111036167585}], \
{1, 0}]}, 
     {GrayLevel[0]}}}},
  AlignmentPoint->Center,
  AspectRatio->Automatic,
  Axes->False,
  AxesLabel->None,
  AxesOrigin->Automatic,
  AxesStyle->{},
  Background->None,
  BaseStyle->{},
  BaselinePosition->Automatic,
  ColorOutput->Automatic,
  ContentSelectable->Automatic,
  CoordinatesToolOptions:>Automatic,
  DisplayFunction:>$DisplayFunction,
  Epilog->{},
  FormatType:>TraditionalForm,
  Frame->False,
  FrameLabel->None,
  FrameStyle->{},
  FrameTicks->Automatic,
  FrameTicksStyle->{},
  GridLines->None,
  GridLinesStyle->{},
  ImageMargins->0.,
  ImagePadding->All,
  ImageSize->Automatic,
  ImageSizeRaw->Automatic,
  LabelStyle->{},
  Method->Automatic,
  PlotLabel->None,
  PlotRange->{{-0.10500000000000001`, 1.105}, {-0.0674355652982141, 
   1.0126038021365191`}},
  PlotRangeClipping->False,
  PlotRangePadding->Automatic,
  PlotRegion->Automatic,
  PreserveImageOptions->Automatic,
  Prolog->{},
  RotateLabel->True,
  Ticks->Automatic,
  TicksStyle->{}]], "Output",
 CellChangeTimes->{{3.5444566308702545`*^9, 3.5444566449420595`*^9}}]
}, Open  ]],

Cell["3-\[AAcute]rbol con 10 v\[EAcute]rtices", "Text",
 CellChangeTimes->{{3.5383068285743217`*^9, 3.538306839139926*^9}, {
  3.540038094961193*^9, 3.5400381301642065`*^9}, {3.54003873357272*^9, 
  3.5400387471694975`*^9}, {3.540039420715022*^9, 3.540039446223481*^9}, {
  3.540039550859466*^9, 3.540039580213145*^9}, {3.540039944503981*^9, 
  3.5400399593238287`*^9}, {3.5400407258286705`*^9, 3.5400407295958858`*^9}, {
  3.5400420230448666`*^9, 3.540042025561011*^9}, {3.54123463308519*^9, 
  3.5412346464979563`*^9}, {3.5424551226061697`*^9, 3.5424551301326003`*^9}, {
  3.5444362139384727`*^9, 3.5444362276342564`*^9}, {3.544437907774355*^9, 
  3.5444379091364326`*^9}, {3.5444405335025377`*^9, 3.544440553750696*^9}, {
  3.544453396322249*^9, 3.5444534035666637`*^9}, {3.544453463518092*^9, 
  3.5444535154780645`*^9}, {3.544460380018694*^9, 3.5444603808347406`*^9}, {
  3.5444604888769197`*^9, 3.5444605144373817`*^9}},
 FontFamily->"Times New Roman",
 FontWeight->"Bold",
 Background->RGBColor[1, 0.5, 0]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"KaryTree", "[", 
  RowBox[{"10", ",", "3", ",", 
   RowBox[{"VertexLabels", "\[Rule]", "\"\<Name\>\""}], ",", 
   RowBox[{"ImagePadding", "\[Rule]", "10"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.544460393330455*^9, 3.5444603993678007`*^9}}],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10}, {
      Null, {{1, 2}, {1, 3}, {1, 4}, {2, 5}, {2, 6}, {2, 7}, {3, 8}, {3, 9}, {
       3, 10}}}, {ImagePadding -> 10, VertexLabels -> {"Name"}}]], 
    Typeset`boxes, Typeset`boxes$s2d = GraphicsGroupBox[{{
       Directive[
        Hue[0.6, 0.2, 0.8], 
        EdgeForm[
         Directive[
          GrayLevel[0], 
          Opacity[0.7]]]], 
       TagBox[{
         TagBox[
          
          DiskBox[{1.9188064472004938`, 1.2792042981336624`}, 
           0.031642873226824283`], "DynamicName", BoxID -> "VertexID$1"], 
         InsetBox[
          FormBox["1", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$1", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$1"], 
       TagBox[{
         TagBox[
          
          DiskBox[{0.6396021490668312, 0.6396021490668312}, 
           0.031642873226824283`], "DynamicName", BoxID -> "VertexID$2"], 
         InsetBox[
          FormBox["2", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$2", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$2"], 
       TagBox[{
         TagBox[
          
          DiskBox[{2.558408596267325, 0.6396021490668312}, 
           0.031642873226824283`], "DynamicName", BoxID -> "VertexID$3"], 
         InsetBox[
          FormBox["3", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$3", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$3"], 
       TagBox[{
         TagBox[
          
          DiskBox[{3.198010745334156, 0.6396021490668312}, 
           0.031642873226824283`], "DynamicName", BoxID -> "VertexID$4"], 
         InsetBox[
          FormBox["4", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$4", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$4"], 
       TagBox[{
         TagBox[
          DiskBox[{0., 0.}, 0.031642873226824283`], "DynamicName", BoxID -> 
          "VertexID$5"], 
         InsetBox[
          FormBox["5", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$5", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$5"], 
       TagBox[{
         TagBox[
          DiskBox[{0.6396021490668312, 0.}, 0.031642873226824283`], 
          "DynamicName", BoxID -> "VertexID$6"], 
         InsetBox[
          FormBox["6", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$6", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$6"], 
       TagBox[{
         TagBox[
          DiskBox[{1.2792042981336624`, 0.}, 0.031642873226824283`], 
          "DynamicName", BoxID -> "VertexID$7"], 
         InsetBox[
          FormBox["7", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$7", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$7"], 
       TagBox[{
         TagBox[
          DiskBox[{1.9188064472004938`, 0.}, 0.031642873226824283`], 
          "DynamicName", BoxID -> "VertexID$8"], 
         InsetBox[
          FormBox["8", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$8", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$8"], 
       TagBox[{
         TagBox[
          DiskBox[{2.558408596267325, 0.}, 0.031642873226824283`], 
          "DynamicName", BoxID -> "VertexID$9"], 
         InsetBox[
          FormBox["9", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$9", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$9"], 
       TagBox[{
         TagBox[
          DiskBox[{3.198010745334156, 0.}, 0.031642873226824283`], 
          "DynamicName", BoxID -> "VertexID$10"], 
         InsetBox[
          FormBox["10", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$10", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$10"]}, {
       Directive[
        Opacity[0.7], 
        Hue[0.6, 0.7, 0.5]], 
       LineBox[{{
          DynamicLocation["VertexID$1", Automatic, Center], 
          DynamicLocation["VertexID$2", Automatic, Center]}, {
          DynamicLocation["VertexID$1", Automatic, Center], 
          DynamicLocation["VertexID$3", Automatic, Center]}, {
          DynamicLocation["VertexID$1", Automatic, Center], 
          DynamicLocation["VertexID$4", Automatic, Center]}, {
          DynamicLocation["VertexID$2", Automatic, Center], 
          DynamicLocation["VertexID$5", Automatic, Center]}, {
          DynamicLocation["VertexID$2", Automatic, Center], 
          DynamicLocation["VertexID$6", Automatic, Center]}, {
          DynamicLocation["VertexID$2", Automatic, Center], 
          DynamicLocation["VertexID$7", Automatic, Center]}, {
          DynamicLocation["VertexID$3", Automatic, Center], 
          DynamicLocation["VertexID$8", Automatic, Center]}, {
          DynamicLocation["VertexID$3", Automatic, Center], 
          DynamicLocation["VertexID$9", Automatic, Center]}, {
          DynamicLocation["VertexID$3", Automatic, Center], 
          DynamicLocation["VertexID$10", Automatic, Center]}}]}}], 
    Typeset`data}, 
    TagBox[
     DynamicBox[GraphComputation`NetworkGraphicsBox[
      2, Typeset`graph, Typeset`boxes], {
      CachedValue :> Typeset`boxes, SingleEvaluation -> True, 
       SynchronousUpdating -> False, TrackedSymbols :> {}},
      ImageSizeCache->{{48.400000000000006`, 
       1066.2315138082938`}, {-265.04751380829146`, 180.66487748846936`}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False,
    UnsavedVariables:>{Typeset`data}]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{3.544460400275852*^9}]
}, Open  ]],

Cell["3-\[AAcute]rbol completo con 4 niveles", "Text",
 CellChangeTimes->{{3.5383068285743217`*^9, 3.538306839139926*^9}, {
  3.540038094961193*^9, 3.5400381301642065`*^9}, {3.54003873357272*^9, 
  3.5400387471694975`*^9}, {3.540039420715022*^9, 3.540039446223481*^9}, {
  3.540039550859466*^9, 3.540039580213145*^9}, {3.540039944503981*^9, 
  3.5400399593238287`*^9}, {3.5400407258286705`*^9, 3.5400407295958858`*^9}, {
  3.5400420230448666`*^9, 3.540042025561011*^9}, {3.54123463308519*^9, 
  3.5412346464979563`*^9}, {3.5424551226061697`*^9, 3.5424551301326003`*^9}, {
  3.5444362139384727`*^9, 3.5444362276342564`*^9}, {3.544437907774355*^9, 
  3.5444379091364326`*^9}, {3.5444405335025377`*^9, 3.544440553750696*^9}, {
  3.544453396322249*^9, 3.5444534035666637`*^9}, {3.544453463518092*^9, 
  3.5444535154780645`*^9}},
 FontFamily->"Times New Roman",
 FontWeight->"Bold",
 Background->RGBColor[1, 0.5, 0]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"CompleteKaryTree", "[", 
  RowBox[{"4", ",", "3"}], "]"}]], "Input",
 CellChangeTimes->{{3.5444534346354403`*^9, 3.5444534416118393`*^9}, 
   3.5444535331940775`*^9, {3.54445377992719*^9, 3.544453797923219*^9}}],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19,
       20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37,
       38, 39, 40}, {
      Null, {{1, 2}, {1, 3}, {1, 4}, {2, 5}, {2, 6}, {2, 7}, {3, 8}, {3, 9}, {
       3, 10}, {4, 11}, {4, 12}, {4, 13}, {5, 14}, {5, 15}, {5, 16}, {6, 
       17}, {6, 18}, {6, 19}, {7, 20}, {7, 21}, {7, 22}, {8, 23}, {8, 24}, {8,
        25}, {9, 26}, {9, 27}, {9, 28}, {10, 29}, {10, 30}, {10, 31}, {11, 
       32}, {11, 33}, {11, 34}, {12, 35}, {12, 36}, {12, 37}, {13, 38}, {13, 
       39}, {13, 40}}}]], Typeset`boxes, Typeset`boxes$s2d = 
    GraphicsGroupBox[{{
       Directive[
        Hue[0.6, 0.2, 0.8], 
        EdgeForm[
         Directive[
          GrayLevel[0], 
          Opacity[0.7]]]], 
       TagBox[
        DiskBox[{4.913538149119954, 1.1338934190276817`}, 
         0.06499156228988712], "DynamicName", BoxID -> "VertexID$1"], 
       TagBox[
        DiskBox[{1.5118578920369088`, 0.7559289460184545}, 
         0.06499156228988712], "DynamicName", BoxID -> "VertexID$2"], 
       TagBox[
        DiskBox[{4.913538149119954, 0.7559289460184545}, 0.06499156228988712],
         "DynamicName", BoxID -> "VertexID$3"], 
       TagBox[
        DiskBox[{8.315218406202998, 0.7559289460184545}, 0.06499156228988712],
         "DynamicName", BoxID -> "VertexID$4"], 
       TagBox[
        DiskBox[{0.3779644730092272, 0.3779644730092273}, 
         0.06499156228988712], "DynamicName", BoxID -> "VertexID$5"], 
       TagBox[
        DiskBox[{1.5118578920369088`, 0.3779644730092273}, 
         0.06499156228988712], "DynamicName", BoxID -> "VertexID$6"], 
       TagBox[
        DiskBox[{2.6457513110645903`, 0.3779644730092273}, 
         0.06499156228988712], "DynamicName", BoxID -> "VertexID$7"], 
       TagBox[
        DiskBox[{3.779644730092272, 0.3779644730092273}, 0.06499156228988712],
         "DynamicName", BoxID -> "VertexID$8"], 
       TagBox[
        DiskBox[{4.913538149119954, 0.3779644730092273}, 0.06499156228988712],
         "DynamicName", BoxID -> "VertexID$9"], 
       TagBox[
        DiskBox[{6.047431568147635, 0.3779644730092273}, 0.06499156228988712],
         "DynamicName", BoxID -> "VertexID$10"], 
       TagBox[
        DiskBox[{7.181324987175317, 0.3779644730092273}, 0.06499156228988712],
         "DynamicName", BoxID -> "VertexID$11"], 
       TagBox[
        DiskBox[{8.315218406202998, 0.3779644730092273}, 0.06499156228988712],
         "DynamicName", BoxID -> "VertexID$12"], 
       TagBox[
        DiskBox[{9.44911182523068, 0.3779644730092273}, 0.06499156228988712], 
        "DynamicName", BoxID -> "VertexID$13"], 
       TagBox[
        DiskBox[{0., 0.}, 0.06499156228988712], "DynamicName", BoxID -> 
        "VertexID$14"], 
       TagBox[
        DiskBox[{0.3779644730092272, 0.}, 0.06499156228988712], "DynamicName",
         BoxID -> "VertexID$15"], 
       TagBox[
        DiskBox[{0.7559289460184544, 0.}, 0.06499156228988712], "DynamicName",
         BoxID -> "VertexID$16"], 
       TagBox[
        DiskBox[{1.1338934190276817`, 0.}, 0.06499156228988712], 
        "DynamicName", BoxID -> "VertexID$17"], 
       TagBox[
        DiskBox[{1.5118578920369088`, 0.}, 0.06499156228988712], 
        "DynamicName", BoxID -> "VertexID$18"], 
       TagBox[
        DiskBox[{1.889822365046136, 0.}, 0.06499156228988712], "DynamicName", 
        BoxID -> "VertexID$19"], 
       TagBox[
        DiskBox[{2.2677868380553634`, 0.}, 0.06499156228988712], 
        "DynamicName", BoxID -> "VertexID$20"], 
       TagBox[
        DiskBox[{2.6457513110645903`, 0.}, 0.06499156228988712], 
        "DynamicName", BoxID -> "VertexID$21"], 
       TagBox[
        DiskBox[{3.0237157840738176`, 0.}, 0.06499156228988712], 
        "DynamicName", BoxID -> "VertexID$22"], 
       TagBox[
        DiskBox[{3.401680257083045, 0.}, 0.06499156228988712], "DynamicName", 
        BoxID -> "VertexID$23"], 
       TagBox[
        DiskBox[{3.779644730092272, 0.}, 0.06499156228988712], "DynamicName", 
        BoxID -> "VertexID$24"], 
       TagBox[
        DiskBox[{4.157609203101499, 0.}, 0.06499156228988712], "DynamicName", 
        BoxID -> "VertexID$25"], 
       TagBox[
        DiskBox[{4.535573676110727, 0.}, 0.06499156228988712], "DynamicName", 
        BoxID -> "VertexID$26"], 
       TagBox[
        DiskBox[{4.913538149119954, 0.}, 0.06499156228988712], "DynamicName", 
        BoxID -> "VertexID$27"], 
       TagBox[
        DiskBox[{5.2915026221291805`, 0.}, 0.06499156228988712], 
        "DynamicName", BoxID -> "VertexID$28"], 
       TagBox[
        DiskBox[{5.669467095138408, 0.}, 0.06499156228988712], "DynamicName", 
        BoxID -> "VertexID$29"], 
       TagBox[
        DiskBox[{6.047431568147635, 0.}, 0.06499156228988712], "DynamicName", 
        BoxID -> "VertexID$30"], 
       TagBox[
        DiskBox[{6.425396041156863, 0.}, 0.06499156228988712], "DynamicName", 
        BoxID -> "VertexID$31"], 
       TagBox[
        DiskBox[{6.80336051416609, 0.}, 0.06499156228988712], "DynamicName", 
        BoxID -> "VertexID$32"], 
       TagBox[
        DiskBox[{7.181324987175317, 0.}, 0.06499156228988712], "DynamicName", 
        BoxID -> "VertexID$33"], 
       TagBox[
        DiskBox[{7.559289460184544, 0.}, 0.06499156228988712], "DynamicName", 
        BoxID -> "VertexID$34"], 
       TagBox[
        DiskBox[{7.937253933193771, 0.}, 0.06499156228988712], "DynamicName", 
        BoxID -> "VertexID$35"], 
       TagBox[
        DiskBox[{8.315218406202998, 0.}, 0.06499156228988712], "DynamicName", 
        BoxID -> "VertexID$36"], 
       TagBox[
        DiskBox[{8.693182879212225, 0.}, 0.06499156228988712], "DynamicName", 
        BoxID -> "VertexID$37"], 
       TagBox[
        DiskBox[{9.071147352221454, 0.}, 0.06499156228988712], "DynamicName", 
        BoxID -> "VertexID$38"], 
       TagBox[
        DiskBox[{9.44911182523068, 0.}, 0.06499156228988712], "DynamicName", 
        BoxID -> "VertexID$39"], 
       TagBox[
        DiskBox[{9.827076298239907, 0.}, 0.06499156228988712], "DynamicName", 
        BoxID -> "VertexID$40"]}, {
       Directive[
        Opacity[0.7], 
        Hue[0.6, 0.7, 0.5]], 
       LineBox[{{
          DynamicLocation["VertexID$1", Automatic, Center], 
          DynamicLocation["VertexID$2", Automatic, Center]}, {
          DynamicLocation["VertexID$1", Automatic, Center], 
          DynamicLocation["VertexID$3", Automatic, Center]}, {
          DynamicLocation["VertexID$1", Automatic, Center], 
          DynamicLocation["VertexID$4", Automatic, Center]}, {
          DynamicLocation["VertexID$2", Automatic, Center], 
          DynamicLocation["VertexID$5", Automatic, Center]}, {
          DynamicLocation["VertexID$2", Automatic, Center], 
          DynamicLocation["VertexID$6", Automatic, Center]}, {
          DynamicLocation["VertexID$2", Automatic, Center], 
          DynamicLocation["VertexID$7", Automatic, Center]}, {
          DynamicLocation["VertexID$3", Automatic, Center], 
          DynamicLocation["VertexID$8", Automatic, Center]}, {
          DynamicLocation["VertexID$3", Automatic, Center], 
          DynamicLocation["VertexID$9", Automatic, Center]}, {
          DynamicLocation["VertexID$3", Automatic, Center], 
          DynamicLocation["VertexID$10", Automatic, Center]}, {
          DynamicLocation["VertexID$4", Automatic, Center], 
          DynamicLocation["VertexID$11", Automatic, Center]}, {
          DynamicLocation["VertexID$4", Automatic, Center], 
          DynamicLocation["VertexID$12", Automatic, Center]}, {
          DynamicLocation["VertexID$4", Automatic, Center], 
          DynamicLocation["VertexID$13", Automatic, Center]}, {
          DynamicLocation["VertexID$5", Automatic, Center], 
          DynamicLocation["VertexID$14", Automatic, Center]}, {
          DynamicLocation["VertexID$5", Automatic, Center], 
          DynamicLocation["VertexID$15", Automatic, Center]}, {
          DynamicLocation["VertexID$5", Automatic, Center], 
          DynamicLocation["VertexID$16", Automatic, Center]}, {
          DynamicLocation["VertexID$6", Automatic, Center], 
          DynamicLocation["VertexID$17", Automatic, Center]}, {
          DynamicLocation["VertexID$6", Automatic, Center], 
          DynamicLocation["VertexID$18", Automatic, Center]}, {
          DynamicLocation["VertexID$6", Automatic, Center], 
          DynamicLocation["VertexID$19", Automatic, Center]}, {
          DynamicLocation["VertexID$7", Automatic, Center], 
          DynamicLocation["VertexID$20", Automatic, Center]}, {
          DynamicLocation["VertexID$7", Automatic, Center], 
          DynamicLocation["VertexID$21", Automatic, Center]}, {
          DynamicLocation["VertexID$7", Automatic, Center], 
          DynamicLocation["VertexID$22", Automatic, Center]}, {
          DynamicLocation["VertexID$8", Automatic, Center], 
          DynamicLocation["VertexID$23", Automatic, Center]}, {
          DynamicLocation["VertexID$8", Automatic, Center], 
          DynamicLocation["VertexID$24", Automatic, Center]}, {
          DynamicLocation["VertexID$8", Automatic, Center], 
          DynamicLocation["VertexID$25", Automatic, Center]}, {
          DynamicLocation["VertexID$9", Automatic, Center], 
          DynamicLocation["VertexID$26", Automatic, Center]}, {
          DynamicLocation["VertexID$9", Automatic, Center], 
          DynamicLocation["VertexID$27", Automatic, Center]}, {
          DynamicLocation["VertexID$9", Automatic, Center], 
          DynamicLocation["VertexID$28", Automatic, Center]}, {
          DynamicLocation["VertexID$10", Automatic, Center], 
          DynamicLocation["VertexID$29", Automatic, Center]}, {
          DynamicLocation["VertexID$10", Automatic, Center], 
          DynamicLocation["VertexID$30", Automatic, Center]}, {
          DynamicLocation["VertexID$10", Automatic, Center], 
          DynamicLocation["VertexID$31", Automatic, Center]}, {
          DynamicLocation["VertexID$11", Automatic, Center], 
          DynamicLocation["VertexID$32", Automatic, Center]}, {
          DynamicLocation["VertexID$11", Automatic, Center], 
          DynamicLocation["VertexID$33", Automatic, Center]}, {
          DynamicLocation["VertexID$11", Automatic, Center], 
          DynamicLocation["VertexID$34", Automatic, Center]}, {
          DynamicLocation["VertexID$12", Automatic, Center], 
          DynamicLocation["VertexID$35", Automatic, Center]}, {
          DynamicLocation["VertexID$12", Automatic, Center], 
          DynamicLocation["VertexID$36", Automatic, Center]}, {
          DynamicLocation["VertexID$12", Automatic, Center], 
          DynamicLocation["VertexID$37", Automatic, Center]}, {
          DynamicLocation["VertexID$13", Automatic, Center], 
          DynamicLocation["VertexID$38", Automatic, Center]}, {
          DynamicLocation["VertexID$13", Automatic, Center], 
          DynamicLocation["VertexID$39", Automatic, Center]}, {
          DynamicLocation["VertexID$13", Automatic, Center], 
          DynamicLocation["VertexID$40", Automatic, Center]}}]}}], 
    Typeset`data}, 
    TagBox[
     DynamicBox[GraphComputation`NetworkGraphicsBox[
      2, Typeset`graph, Typeset`boxes], {
      CachedValue :> Typeset`boxes, SingleEvaluation -> True, 
       SynchronousUpdating -> False, TrackedSymbols :> {}},
      ImageSizeCache->{{19.58, 1059.4200000000003`}, {-92.2832, 
       43.19877910017189}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False,
    UnsavedVariables:>{Typeset`data}]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FrameTicks->None]], "Output",
 CellChangeTimes->{{3.5444534383236513`*^9, 3.544453442039864*^9}, {
   3.544453784751466*^9, 3.5444537986292596`*^9}, 3.5444612070719986`*^9}]
}, Open  ]],

Cell["\<\
\[CapitalAAcute]rbol binario completo con 4 niveles\
\>", "Text",
 CellChangeTimes->{{3.5383068285743217`*^9, 3.538306839139926*^9}, {
  3.540038094961193*^9, 3.5400381301642065`*^9}, {3.54003873357272*^9, 
  3.5400387471694975`*^9}, {3.540039420715022*^9, 3.540039446223481*^9}, {
  3.540039550859466*^9, 3.540039580213145*^9}, {3.540039944503981*^9, 
  3.5400399593238287`*^9}, {3.5400407258286705`*^9, 3.5400407295958858`*^9}, {
  3.5400420230448666`*^9, 3.540042025561011*^9}, {3.54123463308519*^9, 
  3.5412346464979563`*^9}, {3.5424551226061697`*^9, 3.5424551301326003`*^9}, {
  3.5444362139384727`*^9, 3.5444362276342564`*^9}, {3.544437907774355*^9, 
  3.5444379091364326`*^9}, {3.5444405335025377`*^9, 3.544440553750696*^9}, {
  3.544453396322249*^9, 3.5444534035666637`*^9}, {3.544453487010436*^9, 
  3.5444534882265053`*^9}},
 FontFamily->"Times New Roman",
 FontWeight->"Bold",
 Background->RGBColor[1, 0.5, 0]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"CompleteKaryTree", "[", 
  RowBox[{"4", ",", 
   RowBox[{"VertexLabels", "\[Rule]", "\"\<Name\>\""}], ",", 
   RowBox[{"ImagePadding", "\[Rule]", "10"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.5444529878388853`*^9, 3.544452991407089*^9}, {
  3.5444533843535643`*^9, 3.544453388451799*^9}, {3.5444538012974124`*^9, 
  3.544453803809556*^9}}],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15}, {
      Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 9}, {
       5, 10}, {5, 11}, {6, 12}, {6, 13}, {7, 14}, {7, 15}}}, {
      ImagePadding -> 10, VertexLabels -> {"Name"}}]], Typeset`boxes, 
    Typeset`boxes$s2d = GraphicsGroupBox[{{
       Directive[
        Hue[0.6, 0.2, 0.8], 
        EdgeForm[
         Directive[
          GrayLevel[0], 
          Opacity[0.7]]]], 
       TagBox[{
         TagBox[
          
          DiskBox[{2.4748737341529163`, 2.1213203435596424`}, 
           0.04275994200999855], "DynamicName", BoxID -> "VertexID$1"], 
         InsetBox[
          FormBox["1", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$1", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$1"], 
       TagBox[{
         TagBox[
          
          DiskBox[{1.0606601717798212`, 1.414213562373095}, 
           0.04275994200999855], "DynamicName", BoxID -> "VertexID$2"], 
         InsetBox[
          FormBox["2", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$2", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$2"], 
       TagBox[{
         TagBox[
          
          DiskBox[{3.8890872965260113`, 1.414213562373095}, 
           0.04275994200999855], "DynamicName", BoxID -> "VertexID$3"], 
         InsetBox[
          FormBox["3", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$3", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$3"], 
       TagBox[{
         TagBox[
          DiskBox[{0.35355339059327373`, 0.7071067811865475}, 
           0.04275994200999855], "DynamicName", BoxID -> "VertexID$4"], 
         InsetBox[
          FormBox["4", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$4", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$4"], 
       TagBox[{
         TagBox[
          
          DiskBox[{1.7677669529663687`, 0.7071067811865475}, 
           0.04275994200999855], "DynamicName", BoxID -> "VertexID$5"], 
         InsetBox[
          FormBox["5", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$5", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$5"], 
       TagBox[{
         TagBox[
          
          DiskBox[{3.181980515339464, 0.7071067811865475}, 
           0.04275994200999855], "DynamicName", BoxID -> "VertexID$6"], 
         InsetBox[
          FormBox["6", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$6", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$6"], 
       TagBox[{
         TagBox[
          
          DiskBox[{4.596194077712559, 0.7071067811865475}, 
           0.04275994200999855], "DynamicName", BoxID -> "VertexID$7"], 
         InsetBox[
          FormBox["7", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$7", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$7"], 
       TagBox[{
         TagBox[
          DiskBox[{0., 0.}, 0.04275994200999855], "DynamicName", BoxID -> 
          "VertexID$8"], 
         InsetBox[
          FormBox["8", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$8", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$8"], 
       TagBox[{
         TagBox[
          DiskBox[{0.7071067811865475, 0.}, 0.04275994200999855], 
          "DynamicName", BoxID -> "VertexID$9"], 
         InsetBox[
          FormBox["9", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$9", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$9"], 
       TagBox[{
         TagBox[
          DiskBox[{1.414213562373095, 0.}, 0.04275994200999855], 
          "DynamicName", BoxID -> "VertexID$10"], 
         InsetBox[
          FormBox["10", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$10", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$10"], 
       TagBox[{
         TagBox[
          DiskBox[{2.1213203435596424`, 0.}, 0.04275994200999855], 
          "DynamicName", BoxID -> "VertexID$11"], 
         InsetBox[
          FormBox["11", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$11", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$11"], 
       TagBox[{
         TagBox[
          DiskBox[{2.82842712474619, 0.}, 0.04275994200999855], "DynamicName",
           BoxID -> "VertexID$12"], 
         InsetBox[
          FormBox["12", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$12", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$12"], 
       TagBox[{
         TagBox[
          DiskBox[{3.5355339059327373`, 0.}, 0.04275994200999855], 
          "DynamicName", BoxID -> "VertexID$13"], 
         InsetBox[
          FormBox["13", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$13", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$13"], 
       TagBox[{
         TagBox[
          DiskBox[{4.242640687119285, 0.}, 0.04275994200999855], 
          "DynamicName", BoxID -> "VertexID$14"], 
         InsetBox[
          FormBox["14", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$14", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$14"], 
       TagBox[{
         TagBox[
          DiskBox[{4.949747468305833, 0.}, 0.04275994200999855], 
          "DynamicName", BoxID -> "VertexID$15"], 
         InsetBox[
          FormBox["15", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$15", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$15"]}, {
       Directive[
        Opacity[0.7], 
        Hue[0.6, 0.7, 0.5]], 
       LineBox[{{
          DynamicLocation["VertexID$1", Automatic, Center], 
          DynamicLocation["VertexID$2", Automatic, Center]}, {
          DynamicLocation["VertexID$1", Automatic, Center], 
          DynamicLocation["VertexID$3", Automatic, Center]}, {
          DynamicLocation["VertexID$2", Automatic, Center], 
          DynamicLocation["VertexID$4", Automatic, Center]}, {
          DynamicLocation["VertexID$2", Automatic, Center], 
          DynamicLocation["VertexID$5", Automatic, Center]}, {
          DynamicLocation["VertexID$3", Automatic, Center], 
          DynamicLocation["VertexID$6", Automatic, Center]}, {
          DynamicLocation["VertexID$3", Automatic, Center], 
          DynamicLocation["VertexID$7", Automatic, Center]}, {
          DynamicLocation["VertexID$4", Automatic, Center], 
          DynamicLocation["VertexID$8", Automatic, Center]}, {
          DynamicLocation["VertexID$4", Automatic, Center], 
          DynamicLocation["VertexID$9", Automatic, Center]}, {
          DynamicLocation["VertexID$5", Automatic, Center], 
          DynamicLocation["VertexID$10", Automatic, Center]}, {
          DynamicLocation["VertexID$5", Automatic, Center], 
          DynamicLocation["VertexID$11", Automatic, Center]}, {
          DynamicLocation["VertexID$6", Automatic, Center], 
          DynamicLocation["VertexID$12", Automatic, Center]}, {
          DynamicLocation["VertexID$6", Automatic, Center], 
          DynamicLocation["VertexID$13", Automatic, Center]}, {
          DynamicLocation["VertexID$7", Automatic, Center], 
          DynamicLocation["VertexID$14", Automatic, Center]}, {
          DynamicLocation["VertexID$7", Automatic, Center], 
          DynamicLocation["VertexID$15", Automatic, Center]}}]}}], 
    Typeset`data}, 
    TagBox[
     DynamicBox[GraphComputation`NetworkGraphicsBox[
      2, Typeset`graph, Typeset`boxes], {
      CachedValue :> Typeset`boxes, SingleEvaluation -> True, 
       SynchronousUpdating -> False, TrackedSymbols :> {}},
      ImageSizeCache->{{48.4, 1066.578673406348}, {-278.39467340634786`, 
       193.74451912274907`}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False,
    UnsavedVariables:>{Typeset`data}]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{3.5444529921741333`*^9, 3.544453805816671*^9}]
}, Open  ]],

Cell["\[CapitalAAcute]rbol binario con 8 nodos", "Text",
 CellChangeTimes->{{3.5383068285743217`*^9, 3.538306839139926*^9}, {
  3.540038094961193*^9, 3.5400381301642065`*^9}, {3.54003873357272*^9, 
  3.5400387471694975`*^9}, {3.540039420715022*^9, 3.540039446223481*^9}, {
  3.540039550859466*^9, 3.540039580213145*^9}, {3.540039944503981*^9, 
  3.5400399593238287`*^9}, {3.5400407258286705`*^9, 3.5400407295958858`*^9}, {
  3.5400420230448666`*^9, 3.540042025561011*^9}, {3.54123463308519*^9, 
  3.5412346464979563`*^9}, {3.5424551226061697`*^9, 3.5424551301326003`*^9}, {
  3.5444362139384727`*^9, 3.5444362276342564`*^9}, {3.544437907774355*^9, 
  3.5444379091364326`*^9}, {3.5444405335025377`*^9, 3.544440553750696*^9}, {
  3.544453396322249*^9, 3.5444534035666637`*^9}, {3.544453487010436*^9, 
  3.5444534882265053`*^9}, {3.5444633166666603`*^9, 3.544463340776039*^9}},
 FontFamily->"Times New Roman",
 FontWeight->"Bold",
 Background->RGBColor[1, 0.5, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"<<", "Combinatorica`"}], "\[IndentingNewLine]", 
 RowBox[{"ShowGraph", "[", 
  RowBox[{
   RowBox[{"CompleteBinaryTree", "[", "8", "]"}], ",", 
   RowBox[{"VertexNumber", "\[Rule]", "True"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "0.1"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Quit", "[", "]"}]}], "Input"],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "compat"}], "MessageName"], ":", 
  " ", "\<\"Combinatorica Graph and Permutations functionality has been \
superseded by preloaded functionality. The package now being loaded may \
conflict with this. Please see the Compatibility Guide for details.\"\>"}]], \
"Message", "MSG",
 CellChangeTimes->{{3.544463326419218*^9, 3.5444633435451975`*^9}, 
   3.544463795743062*^9}],

Cell[BoxData[
 GraphicsBox[{{
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.5714285714285714, 0.5714285714285714}, {0.2857142857142857, 
      0.38095238095238093`}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.2857142857142857, 0.38095238095238093`}, {
      0.14285714285714285`, 0.19047619047619047`}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.8571428571428571, 0.38095238095238093`}, {0.7142857142857142,
       0.19047619047619047`}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.14285714285714285`, 0.19047619047619047`}, {
      0.14285714285714285`, 0.}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.5714285714285714, 0.5714285714285714}, {0.8571428571428571, 
      0.38095238095238093`}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.2857142857142857, 0.38095238095238093`}, {
      0.42857142857142855`, 0.19047619047619047`}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.8571428571428571, 0.38095238095238093`}, {1., 
      0.19047619047619047`}}], 
     {GrayLevel[0]}}}, {
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.5714285714285714, 0.5714285714285714}]}, 
     {GrayLevel[0], 
      InsetBox["1", 
       Scaled[{-0.02, -0.02}, {0.5714285714285714, 0.5714285714285714}], \
{1, 0}]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.2857142857142857, 0.38095238095238093`}]}, 
     {GrayLevel[0], 
      InsetBox["2", 
       Scaled[{-0.02, -0.02}, {0.2857142857142857, 0.38095238095238093`}], \
{1, 0}]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.8571428571428571, 0.38095238095238093`}]}, 
     {GrayLevel[0], 
      InsetBox["3", 
       Scaled[{-0.02, -0.02}, {0.8571428571428571, 0.38095238095238093`}], \
{1, 0}]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], 
      PointBox[{0.14285714285714285`, 0.19047619047619047`}]}, 
     {GrayLevel[0], 
      InsetBox["4", 
       Scaled[{-0.02, -0.02}, {0.14285714285714285`, 0.19047619047619047`}], \
{1, 0}]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], 
      PointBox[{0.42857142857142855`, 0.19047619047619047`}]}, 
     {GrayLevel[0], 
      InsetBox["5", 
       Scaled[{-0.02, -0.02}, {0.42857142857142855`, 0.19047619047619047`}], \
{1, 0}]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.7142857142857142, 0.19047619047619047`}]}, 
     {GrayLevel[0], 
      InsetBox["6", 
       Scaled[{-0.02, -0.02}, {0.7142857142857142, 0.19047619047619047`}], \
{1, 0}]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{1., 0.19047619047619047`}]}, 
     {GrayLevel[0], 
      InsetBox["7", 
       Scaled[{-0.02, -0.02}, {1., 0.19047619047619047`}], {1, 0}]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.14285714285714285`, 0.}]}, 
     {GrayLevel[0], 
      InsetBox["8", 
       Scaled[{-0.02, -0.02}, {0.14285714285714285`, 0.}], {1, 0}]}, 
     {GrayLevel[0]}}}},
  AlignmentPoint->Center,
  AspectRatio->Automatic,
  Axes->False,
  AxesLabel->None,
  AxesOrigin->Automatic,
  AxesStyle->{},
  Background->None,
  BaseStyle->{},
  BaselinePosition->Automatic,
  ColorOutput->Automatic,
  ContentSelectable->Automatic,
  CoordinatesToolOptions:>Automatic,
  DisplayFunction:>$DisplayFunction,
  Epilog->{},
  FormatType:>TraditionalForm,
  Frame->False,
  FrameLabel->None,
  FrameStyle->{},
  FrameTicks->Automatic,
  FrameTicksStyle->{},
  GridLines->None,
  GridLinesStyle->{},
  ImageMargins->0.,
  ImagePadding->All,
  ImageSize->Automatic,
  ImageSizeRaw->Automatic,
  LabelStyle->{},
  Method->Automatic,
  PlotLabel->None,
  PlotRange->{{0.044999999999999984`, 
   1.0978571428571429`}, {-0.08357142857142857, 0.655}},
  PlotRangeClipping->False,
  PlotRangePadding->Automatic,
  PlotRegion->Automatic,
  PreserveImageOptions->Automatic,
  Prolog->{},
  RotateLabel->True,
  Ticks->Automatic,
  TicksStyle->{}]], "Output",
 CellChangeTimes->{{3.544463327114258*^9, 3.544463344230237*^9}, 
   3.544463796433101*^9}]
}, Open  ]]
},
WindowToolbars->"EditBar",
WindowSize->{1902, 914},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification:>3. Inherited,
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (Enero 25, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 955, 14, 138, "Text"],
Cell[CellGroupData[{
Cell[1537, 38, 800, 16, 150, "Input"],
Cell[2340, 56, 5674, 132, 643, "Output"]
}, Open  ]],
Cell[8029, 191, 952, 14, 138, "Text"],
Cell[CellGroupData[{
Cell[9006, 209, 738, 16, 450, "Input"],
Cell[9747, 227, 2456, 55, 4023, "Output"]
}, Open  ]],
Cell[12218, 285, 581, 13, 414, "Text"],
Cell[CellGroupData[{
Cell[12824, 302, 1909, 44, 972, "Input"],
Cell[14736, 348, 2453, 56, 3147, "Output"]
}, Open  ]],
Cell[17204, 407, 1004, 15, 414, "Text"],
Cell[CellGroupData[{
Cell[18233, 426, 332, 7, 624, "Input"],
Cell[18568, 435, 407, 8, 552, "Message"],
Cell[18978, 445, 5011, 145, 3027, "Output"]
}, Open  ]],
Cell[24004, 593, 1013, 15, 414, "Text"],
Cell[CellGroupData[{
Cell[25042, 612, 267, 5, 273, "Input"],
Cell[25312, 619, 6702, 155, 1641, "Output"]
}, Open  ]],
Cell[32029, 777, 911, 14, 414, "Text"],
Cell[CellGroupData[{
Cell[32965, 795, 235, 4, 273, "Input"],
Cell[33203, 801, 11946, 237, 657, "Output"]
}, Open  ]],
Cell[45164, 1041, 932, 16, 414, "Text"],
Cell[CellGroupData[{
Cell[46121, 1061, 366, 7, 273, "Input"],
Cell[46490, 1070, 9569, 218, 1719, "Output"]
}, Open  ]],
Cell[56074, 1291, 961, 14, 414, "Text"],
Cell[CellGroupData[{
Cell[57060, 1309, 339, 7, 624, "Input"],
Cell[57402, 1318, 436, 9, 552, "Message"],
Cell[57841, 1329, 4245, 126, 2409, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
